<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text formControlName="username"
        mbPlaceholderText="--{{'system.sessionHistory.label.attributes.username' | translate}}--"
        mbLabelText="{{'system.sessionHistory.label.attributes.username' | translate}}">
      </mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text formControlName="deviceName"
        mbPlaceholderText="--{{'system.sessionHistory.label.attributes.device' | translate}}--"
        mbLabelText="{{'system.sessionHistory.label.attributes.device' | translate}}">
      </mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text formControlName="loginTime"
        mbPlaceholderText="--{{'system.sessionHistory.label.attributes.loginTime' | translate}}--"
        mbLabelText="{{'system.sessionHistory.label.attributes.loginTime' | translate}}">
      </mb-input-text>
    </div>
  </div>
</form>
<div class="data-table session-detail" oncontextmenu="return false;">
  <nz-table #basicTable [nzData]="listData" [nzShowPagination]="false" nzTableLayout="fixed"
    [nzScroll]="listData.length > 7 ? { y: '400px' } : {}" [nzPageSize]="limit" nzSize='small'>
    <thead>
      <tr class="table-header">
        <th scope="col" nzWidth="5%" class="text-nowrap text-center">{{'system.table.stt' | translate}}</th>
        <th scope="col" nzWidth="25%" class="text-nowrap text-center">{{'system.sessionHistory.label.table.fromDate' | translate}}</th>
        <th scope="col" nzWidth="30%" class="text-nowrap">{{'system.sessionHistory.label.table.appName' | translate}}</th>
        <th scope="col" nzWidth="40%" class="text-nowrap">{{'system.sessionHistory.label.table.featureName' | translate}}</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data ;let i = index;">
        <td class="text-center">{{validateService.getRowIndex(i, pageable?.currentPage, limit)}}</td>
        <td class="text-center">{{ data.fromDate | date: 'dd/MM/yyyy HH:mm:ss' }}</td>
        <td>{{ data.appName }}</td>
        <td>{{ data.featureName }}</td>
      </tr>
    </tbody>
  </nz-table>
</div>
<div class="pagination" *ngIf="listData && listData.length > 0">
  <div class="pagination__table-info">
    <img alt="idea.svg" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text">Tìm thấy {{ pageable?.totalElements }} kết quả, hiển thị từ
      {{ pageable.size * (pageable.currentPage - 1) + 1 }} đến
      {{ pageable.size * (pageable.currentPage - 1) + listData.length }}</span>
  </div>
  <nz-pagination [(nzPageIndex)]="pageable && pageable.currentPage" [nzTotal]="pageable?.totalElements"
    [nzPageSize]="pageable?.size" (nzPageIndexChange)="search($event)" class="pagination__icon">
  </nz-pagination>
</div>
